[cantarell-fonts] Fixed configure issue described in gnome bug 639699



commit 000fe28c0d0f14d20622fe323fa161a75614cafb
Author: Tobias Mueller <tobiasmue gnome org>
Date:   Tue Jan 18 01:23:38 2011 +0100

    Fixed configure issue described in gnome bug 639699
    
    Apparently, gnome-autogen.sh fixes this issue. I don't know what the real issue is, though. But this does the job.

 autogen.sh |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 2ec8fb5..ba9b199 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,6 +6,7 @@ test -z "$srcdir" && srcdir=.
 
 PKG_NAME="cantarell-fonts"
 REQUIRED_AUTOMAKE_VERSION=1.9
+REQUIRED_PKG_CONFIG_VERSION=0.19.0
 
 (test -f $srcdir/configure.ac \
   && test -d $srcdir/src) || {
@@ -14,12 +15,15 @@ REQUIRED_AUTOMAKE_VERSION=1.9
     exit 1
 }
 
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
+
 (cd $srcdir && autoreconf --force --install) || exit 1
 
 if test x$NOCONFIGURE = x; then
-    echo Running $srcdir/configure $conf_flags "$@" ...
-    $srcdir/configure $conf_flags "$@" \
-        && echo Now type \`make\' to compile. || exit 1
+    . gnome-autogen.sh
 else
     echo Skipping configure process.
 fi



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]